Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 154115 - firefox gets stuck
Summary: firefox gets stuck
Keywords:
Status: CLOSED CANTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: firefox
Version: 3
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Brian Stein
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-07 15:59 UTC by Brian Stein
Modified: 2018-04-11 09:13 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-06-09 23:48:49 UTC


Attachments (Terms of Use)

Description Arjan van de Ven 2005-04-07 15:59:34 UTC
Description of problem:

firefox has a UI deadlock that required me to go to a text console and kill it
to be able to use ANYTHING in X

Version-Release number of selected component (if applicable):
firefox-1.0.2-1.3.1


Steps to Reproduce:

1) Put an RSS feed on your personal toolbar folder, one that causes a dropdown
"bookmark like" menu to come down when you click it

2) have a website auto-reload itself in the browser after like a minute

3) have the dns of that website no longer work

4) pull down the bookmark like menu


when the dialog box from the DNS timeout comes up, it is modal however it comes
up *behind* the RSS bookmark like menu. Which means that you can't click it to
go away, however the bookmark like menu doesn't honor any input either until the
modal dialog has gone away. But you can't since the menu is in the way. This is
the UI equivalent of a deadlock.
ALso this dialog has a mouse grab so you can't do anything in X anymore at all.

Comment 1 Matthew Miller 2006-07-10 21:56:48 UTC
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!


Comment 2 Matěj Cepl 2007-06-09 23:48:49 UTC
Reporter, could you confirm please, that this bug still could be reproduced with
the updated release of the supported version of Fedora (FC5, FC6, or F7)?

If yes, please, reopen this bug with additional information how it is possible
to reproduce this bug.

In meantime, I have to close this bug as CANTFIX, because it is reported against
not longer supported distribution.

Thanks in advance.


Note You need to log in before you can comment on or make changes to this bug.